# Spec file for Perl module File::DesktopEntry

%define real_name File-DesktopEntry

Name: perl-File-DesktopEntry
Version: 0.04
Release: alt1

Summary: object to handle .desktop files

License: %perl_license
Group: Development/Perl
Url: http://search.cpan.org/~pardus/File-DesktopEntry/

Packager: Vitaly Lipatov <lav@altlinux.ru>

BuildArch: noarch
Source: http://search.cpan.org/CPAN/authors/id/P/PA/PARDUS/%real_name/%real_name-%version.tar.gz

BuildRequires: perl-devel rpm-build-licenses

# Automatically added by buildreq on Tue Feb 26 2008
BuildRequires: perl-File-BaseDir perl-Module-Build perl-PerlIO perl-Test-Pod perl-Test-Pod-Coverage


%description
Perl module File::DesktopEntry is used to work with .desktop files.
The format of these files is specified by the FreeDesktop.org 
"Desktop Entry" specification, version 1.0, see 
http://freedesktop.org/wiki/Standards/desktop-entry-spec for details.
This module can parse these files but also knows how to run the 
applciations defined by these files.

This module was written to support File::MimeInfo::Applications.

Please remember: case is significant, most key names contain
capitals.

%prep
%setup -q -n %real_name-%version

%build
%perl_vendor_build

%install
%perl_vendor_install
rm -f %buildroot%perl_vendor_man3dir/*

%files
%doc README Changes
%perl_vendor_privlib/File/DesktopEntry*

%changelog
* Fri Feb 29 2008 Vitaly Lipatov <lav@altlinux.ru> 0.04-alt1
- remove man pages instead exclude ones

* Mon Feb 25 2008 Nikolay A. Fetisov <naf@altlinux.ru> 0.04-alt0.1
- New version 0.04
- Spec file cleanup

* Mon Jan 02 2006 Vitaly Lipatov <lav@altlinux.ru> 0.02-alt1
- initial build for ALT Linux Sisyphus

